---
title: transition-property
slug: Web/CSS/transition-property
tags:
  - CSS
  - CSS Property
  - CSS Transitions
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>transition-property</code> </strong><a href="/en-US/docs/Web/CSS">CSS</a> property sets the CSS properties to which a <a href="/en-US/docs/Web/CSS/CSS_Transitions/Using_CSS_transitions">transition effect</a> should be applied.</p>

<div>{{EmbedInteractiveExample("pages/css/transition-property.html")}}</div>

<div class="note"><strong>Note:</strong> The <a href="/en-US/docs/Web/CSS/CSS_animated_properties">set of properties that can be animated</a> is subject to change. As such, you should avoid including any properties in the list that don't currently animate, as someday they might, causing unexpected results.</div>

<p>If you specify a shorthand property (e.g., {{cssxref("background")}}), all of its longhand sub-properties that can be animated will be.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
transition-property: none;
transition-property: all;

/* &lt;custom-ident&gt; values */
transition-property: test_05;
transition-property: -specific;
transition-property: sliding-vertically;

/* Multiple values */
transition-property: test1, animation4;
transition-property: all, height, color;
transition-property: all, -moz-specific, sliding;

/* Global values */
transition-property: inherit;
transition-property: initial;
transition-property: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>none</code></dt>
	<dd>No properties will transition.</dd>
	<dt><code>all</code></dt>
	<dd>All properties that can transition will.</dd>
	<dt>{{cssxref("&lt;custom-ident&gt;")}}</dt>
	<dd>A string identifying the property to which a transition effect should be applied when its value changes.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_example">Simple example</h3>

<p>This example performs a four-second font size transition when the user hovers over the element, the <code>transition-property</code> is the <code>font-size</code>.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;a class="target"&gt;Hover over me&lt;/a&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.target {
  font-size: 14px;
  transition-property: font-size;
  transition-duration: 4s;
}

.target:hover {
  font-size: 36px;
}
</pre>

<p>{{EmbedLiveSample('Simple_example', 600, 100)}}</p>

<p>You will find more examples of <code>transition-property</code> included in the main <a href="/en-US/docs/Web/CSS/CSS_Transitions/Using_CSS_transitions">CSS transitions</a> article.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Transitions', '#transition-property-property', 'transition-property')}}</td>
			<td>{{Spec2('CSS3 Transitions')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.transition-property")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/CSS/CSS_Transitions/Using_CSS_transitions">Using CSS transitions</a></li>
	<li>{{cssxref('transition')}}</li>
	<li>{{cssxref('transition-duration')}}</li>
	<li>{{cssxref('transition-timing-function')}}</li>
	<li>{{cssxref('transition-delay')}}</li>
	<li>{{domxref("TransitionEvent")}}</li>
</ul>
